# openstack.load_balancer.v2.amphora

## The Amphora Class

The `Amphora` class inherits from `Resource`.

class openstack.load_balancer.v2.amphora.Amphora(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'amphora'

    Singular form of key for resource.

  resources_key = 'amphorae'

    Plural form of key for resource.

  base_path = '/octavia/amphorae'

    The base part of the URI for this resource.

  allow_create = False

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = False

    Allow update operation for this resource.

  allow_delete = False

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  id

    The ID of the amphora.

  loadbalancer_id

    The ID of the load balancer.

  compute_id

    The ID of the amphora resource in the compute system.

  lb_network_ip

    The management IP of the amphora.

  vrrp_ip

    The address of the vrrp port on the amphora.

  ha_ip

    The IP address of the Virtual IP (VIP).

  vrrp_port_id

    The vrrp port’s ID in the networking system.

  ha_port_id

    The ID of the Virtual IP (VIP) port.

  cert_expiration

    The date the certificate for the amphora expires.

  cert_busy

    Whether the certificate is in the process of being replaced.

  role

    The role configured for the amphora. One of STANDALONE, MASTER, BACKUP.

  status

    The status of the amphora. One of: BOOTING, ALLOCATED, READY, PENDING_CREATE, PENDING_DELETE, DELETED, ERROR.

  vrrp_interface

    The bound interface name of the vrrp port on the amphora.

  vrrp_id

    The vrrp group’s ID for the amphora.

  vrrp_priority

    The priority of the amphora in the vrrp group.

  cached_zone

    The availability zone of a compute instance, cached at create time.

  created_at

    The UTC date and timestamp when the resource was created.

  updated_at

    The UTC date and timestamp when the resource was last updated.

  image_id

    The ID of the glance image used for the amphora.

  compute_flavor

    The ID of the compute flavor used for the amphora.

  configure(session)

    Configure load balancer.

    Update the amphora agent configuration. This will push the new configuration to the amphora agent and will update the configuration options that are mutatable.

    Parameters:

      session – The session to use for making this request.

    Returns:

      None

  failover(session)

    Failover load balancer.

    Parameters:

      session – The session to use for making this request.

    Returns:

      None

## The AmphoraConfig Class

The `AmphoraConfig` class inherits from `Resource`.

class openstack.load_balancer.v2.amphora.AmphoraConfig(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/octavia/amphorae/%(amphora_id)s/config'

    The base part of the URI for this resource.

  allow_create = False

    Allow create operation for this resource.

  allow_fetch = False

    Allow get operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_delete = False

    Allow delete operation for this resource.

  allow_list = False

    Allow list operation for this resource.

  allow_empty_commit = True

    Commits happen without header or body being dirty.

  requires_id = False

    Do calls for this resource require an id

  amphora_id

    The ID of the amphora.

  commit(session, prepend_key=True, has_body=False, *args, **kwargs)

    Commit the state of the instance to the remote resource.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource update request. Default to True.

      - retry_on_conflict (bool) – Whether to enable retries on HTTP CONFLICT (409). Value of `None` leaves the Adapter defaults.

      - base_path (str) – Base part of the URI for modifying resources, if different from `base_path`.

      - microversion (str) – API version to override the negotiated one.

      - kwargs (dict) – Parameters that will be passed to _prepare_request()

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_commit` is not set to `True`.

## The AmphoraFailover Class

The `AmphoraFailover` class inherits from `Resource`.

class openstack.load_balancer.v2.amphora.AmphoraFailover(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/octavia/amphorae/%(amphora_id)s/failover'

    The base part of the URI for this resource.

  allow_create = False

    Allow create operation for this resource.

  allow_fetch = False

    Allow get operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_delete = False

    Allow delete operation for this resource.

  allow_list = False

    Allow list operation for this resource.

  allow_empty_commit = True

    Commits happen without header or body being dirty.

  requires_id = False

    Do calls for this resource require an id

  amphora_id

    The ID of the amphora.

  commit(session, prepend_key=True, has_body=False, *args, **kwargs)

    Commit the state of the instance to the remote resource.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource update request. Default to True.

      - retry_on_conflict (bool) – Whether to enable retries on HTTP CONFLICT (409). Value of `None` leaves the Adapter defaults.

      - base_path (str) – Base part of the URI for modifying resources, if different from `base_path`.

      - microversion (str) – API version to override the negotiated one.

      - kwargs (dict) – Parameters that will be passed to _prepare_request()

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_commit` is not set to `True`.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.